Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::detail::replacer_if_fn< Pred, Val > Struct Template Reference

## Public Member Functions
template<typename I >
common_type_t< decay_t< unwrap_reference_t< Val const & > >, iterator_value_t< I > > | operator() (copy_tag, I const &i) const
template<typename I , int _concept_requires___LINE__ = 42>
common_reference_t< unwrap_reference_t< Val const & >, iterator_reference_t< I > > | operator() (I const &i)
template<typename I , int _concept_requires___LINE__ = 42>
common_reference_t< unwrap_reference_t< Val const & >, iterator_reference_t< I > > | operator() (I const &i) const
template<typename I , int _concept_requires___LINE__ = 42>
common_reference_t< unwrap_reference_t< Val const & >, iterator_rvalue_reference_t< I > > | operator() (move_tag, I const &i)
template<typename I , int _concept_requires___LINE__ = 42>
common_reference_t< unwrap_reference_t< Val const & >, iterator_rvalue_reference_t< I > > | operator() (move_tag, I const &i) const
| replacer_if_fn (Pred pred, Val new_value)